<?php include 'app_modal.php'; ?>
<script src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap/5.3.1/js/bootstrap.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/wow/1.1.2/wow.min.js"></script>
<script src="<?= site_url; ?>/designer/js/swiper.min.js"></script>
<script src="<?= site_url; ?>/designer/js/themes.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-validate/1.19.5/jquery.validate.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/fancybox/3.1.20/jquery.fancybox.min.js"></script>
<script>
    $(document).ready(function() {
        $("#quick_enquiry").validate({
            rules: {
                name: "required",
                message: "required",
                location: "required",
                email: {
                    required: true,
                    email: true
                },
                mobile: {
                    required: true,
                    number: true,
                    minlength: 10,
                }
            },
            messages: {
                name: "Please enter your name",
                message: "Please enter message",
                email: {
                    required: "Please enter your email address"
                },
                location: "Please enter your location",
                mobile: {
                    required: "Please enter your mobile no.",
                    number: "Mobile No. contains only numbers",
                    minlength: "Your Mobile No. must be at least 10 characters long",
                }
            },
        });
        $("#contact_form").validate({
            rules: {
                name: "required",
                message: "required",
                location: "required",
                email: {
                    required: true,
                    email: true
                },
                mobile: {
                    required: true,
                    number: true,
                    minlength: 10,
                }
            },
            messages: {
                name: "Please enter your name",
                message: "Please enter message",
                email: {
                    required: "Please enter your email address"
                },
                location: "Please enter your location",
                mobile: {
                    required: "Please enter your mobile no.",
                    number: "Mobile No. contains only numbers",
                    minlength: "Your Mobile No. must be at least 10 characters long",
                }
            },
        });
    })
    $(document).ready(function() {
        $("#whatsapp_form").validate({
            rules: {
                name: "required",
                mobile: {
                    required: true,
                    number: true,
                    minlength: 10,
                    maxlength: 10,
                }
            },
            messages: {
                name: "Please Enter Your Name",
                mobile: {
                    required: "Please Enter Your mobile Number",
                    number: "Mobile Number Must be Number",
                    minlength: "Mobile Number must have 10 digits",
                    maxlength: "Mobile Number must have 10 difits",
                }
            },
        });
    });
</script>
<script>
    function validateOnlyTextField(element) {
        var str = element.value;
        if (str == ' ') {
            element.value = "";
        }
        if (!(/^[a-zA-Z\s]+$/.test(str))) {
            // console.log('String contain number characters');
            str = str.substr(0, str.length - 1);
            element.value = "";
        }
    }
    $(document).ready(function() {
        $('#contact_form').submit(function(e) {
            e.preventDefault();
            $.ajax({
                'url': '<?= site_url; ?>/ajax_save_contact.php',
                'type': 'POST',
                'dataType': 'json',
                'data': $(this).serialize(),
                'success': function(result) {
                    if (result.status == false) {
                        $('.success_message').text('');
                        $('.error_message').text(result.message_response)
                    } else {
                        $('.error_message').text('');
                        $('.success_message').text(result.message_response);
                        $('#contact_form').trigger("reset");
                    }
                    console.log(result.message_response);
                }
            })
        });
        $('#whatsapp_form').submit(function(e) {
            e.preventDefault();
            $(':input[type="submit"]').prop('disabled', true);
            $.ajax({
                'url': '<?= site_url; ?>/ajax_save_whatsapp.php',
                'type': 'POST',
                'dataType': 'json',
                'data': $(this).serialize(),
                'success': function(result) {
                    if (result.status == false) {
                        $('.wht_success_message').text('');
                        $('.wht_error_message').text(result.message_response);
                        $(':input[type="submit"]').prop('disabled', false);
                    } else {
                        $('.wht_error_message').text('');
                        $('.wht_success_message').text(
                            "You Have Successfully Submitted enquiry. We will contact you soon."
                        );
                        $('#whatsapp_form').trigger("reset");
                        $(':input[type="submit"]').prop('disabled', false);
                        window.open(result.message_response, '_blank');
                    }
                }
            });
        });
        $('#callback_form').submit(function(e) {
            e.preventDefault();
            $(':input[type="submit"]').prop('disabled', true);
            $.ajax({
                'url': '<?= site_url; ?>/ajax_save_callback.php',
                'type': 'POST',
                'dataType': 'json',
                'data': $(this).serialize(),
                'success': function(result) {
                    if (result.status == false) {
                        $('.call_success_message').text('');
                        $('.call_error_message').text(result.message_response);
                        $(':input[type="submit"]').prop('disabled', false);
                    } else {
                        $('.call_error_message').text('');
                        $('.call_success_message').text(result.message_response);
                        $('#callback_form').trigger("reset");
                        $(':input[type="submit"]').prop('disabled', false);
                    }
                }
            });
        });
        $('#product_pop_form').submit(function(e) {
            e.preventDefault();
            $(':input[type="submit"]').prop('disabled', true);
            $.ajax({
                'url': '<?= site_url; ?>/ajax_enquirycat.php',
                'type': 'POST',
                'dataType': 'json',
                'data': $(this).serialize(),
                'success': function(result) {
                    if (result.status == false) {
                        $('.pro_success_message').text('');
                        $('.pro_error_message').text(result.message_response);
                        $(':input[type="submit"]').prop('disabled', false);
                    } else {
                        $('.pro_error_message').text('');
                        $('.pro_success_message').text(result.message_response);
                        $('#product_pop_form').trigger("reset");
                        $(':input[type="submit"]').prop('disabled', false);
                    }
                }
            })
        });
        $('#quick_enquiry').submit(function(e) {
            e.preventDefault();
            $.ajax({
                'url': '<?= site_url; ?>/ajax_save_contact.php',
                'type': 'POST',
                'dataType': 'json',
                'data': $(this).serialize(),
                'success': function(result) {
                    if (result.status == false) {
                        $('.cat_success_message').text('');
                        $('.cat_error_message').text(result.message_response)
                    } else {
                        $('.cat_error_message').text('');
                        $('.cat_success_message').text(result.message_response);
                        $('#quick_enquiry').trigger("reset");
                    }
                }
            })
        });
    });
</script>
<script>
    $(document).ready(function() {
        $('.main-category-image').click(function() {
            var cat_image = $('.main-cat-image').attr('src');
            var cat_title = $('.main-cat-image').attr('title');
            var cat_heading = $('.main_heading').val();
            $('.product_popup_image').find("img").attr("src", cat_image);
            $('.pop_heading').text(cat_heading);
            $('.product_popup_image').find("img").attr("alt", cat_title);
            $('.product_popup_image').find("img").attr("title", cat_title);
        });
        $('.pop_cat_id').click(function() {
            var cat_image = "";
            var cat_title = "";
            var image_title = "";
            var cat_id = $(this).find('.cat_id').val();
            cat_image = $('.category_image' + cat_id).attr('src');
            image_title = $('.category_image' + cat_id).attr('title');
            cat_title = $('.category_title' + cat_id).text();
            $('.pop_heading').text(cat_title);
            $('.product_popup_image').find("img").attr("src", cat_image);
            $('.product_popup_image').find("img").attr("alt", image_title);
            $('.product_popup_image').find("img").attr("title", image_title);

        });
        $('.product_pop_up').click(function() {
            var product_id = $(this).find('.product_id').val();
            var imagepr = $('.product_image' + product_id).attr('src');
            var image_title = $('.product_image' + product_id).attr('title');
            var product_title = $('.product_title' + product_id).text();
            $('.product_popup_image').find("img").attr("src", imagepr);
            $('.pop_heading').text(product_title);
            $('.product_popup_image').find("img").attr("alt", image_title);
            $('.product_popup_image').find("img").attr("title", image_title);
        });
        $('.Request_call_back').click(function() {
            var product_id = $(this).find('.product_id').val();
            var imagepr = $('.product_image' + product_id).attr('src');
            var image_title = $('.product_image' + product_id).attr('title');
            var product_title = $('.product_title' + product_id).text();
            $('.product_cat_image').find("img").attr("src", imagepr);
            $('.catHeading').text(product_title);
            $('.product_cat_image').find("img").attr("alt", image_title);
            $('.product_cat_image').find("img").attr("title", image_title);
        });
    });
</script>


<script>
    $(document).ready(function() {
        $("#product_pop_form").validate({
            rules: {
                name: "required",
                message: "required",
                location: "required",
                email: {
                    required: true,
                    email: true
                },
                mobile: {
                    required: true,
                    number: true,
                    minlength: 10,
                }
                quantity: {

                    required: true,

                },
            },
            messages: {
                name: "Please enter your name",
                message: "Please enter message",
                email: {
                    required: "Please enter your email address"
                },
                location: "Please enter your location",
                quantity: {

                    required: "Please enter Your Minimum Order Quantity",

                },
                mobile: {
                    required: "Please enter your mobile no.",
                    number: "Mobile No. contains only numbers",
                    minlength: "Your Mobile No. must be at least 10 characters long",
                }
            },
        });
        $("#callback_form").validate({
            rules: {
                name: "required",
                mobile: {
                    required: true,
                    number: true,
                    minlength: 10,
                    maxlength: 10,
                }
            },
            messages: {
                name: "Please Enter Your Name",
                mobile: {
                    required: "Please Enter Your mobile Number",
                    number: "Mobile Number Must be Number",
                    minlength: "Mobile Number must have 10 digits",
                    maxlength: "Mobile Number must have 10 difits",
                }
            },
        });
        $('.product_aimage').click(function() {
            var pr_image = $(this).attr('src');
            var s_no = $(this).siblings('.pr_sno').val();
            $('.activeImage' + s_no).attr('src', pr_image);
        });
    })


    setTimeout(function() {
        $.getScript("https://www.google.com/recaptcha/api.js");
    }, 5000);
</script>